%define upstream_name	 Curses
%define upstream_version 1.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl module for character screen handling and windowing
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/G/GI/GIRAFFED/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: libncursesw-devel
BuildRequires: perl-devel

%description
Curses is the interface between Perl and your system's curses(3) library. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor MENUS PANELS FORMS
%make CFLAGS="%{optflags}"
chmod 644 Artistic Copying INSTALL README HISTORY MAINTENANCE

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc HISTORY INSTALL MAINTENANCE README
%{perl_vendorarch}/auto/Curses
%{perl_vendorarch}/Curses*
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.280.0-9.mga3
+ Revision: 364978
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.280.0-8.mga3
+ Revision: 250447
- rebuild for perl 5.16

* Sun Oct 16 2011 jquelin <jquelin> 1.280.0-7.mga2
+ Revision: 155482
- remove restriction on doc files (bug#3052)

* Sat Jun 11 2011 sander85 <sander85> 1.280.0-6.mga2
+ Revision: 103488
- perl 5.14

* Thu Mar 17 2011 jquelin <jquelin> 1.280.0-5.mga1
+ Revision: 73058
- enabling menus+panels+forms (shikamaru)

* Tue Jan 18 2011 blino <blino> 1.280.0-4.mga1
+ Revision: 23261
- rebuild for new perl

* Wed Jan 12 2011 jquelin <jquelin> 1.280.0-3.mga1
+ Revision: 7356
- imported package perl-Curses

